.mx-auto {
  margin-left: auto;
  margin-right: auto;
}

.m0 {
  margin: 0;
}
.m1 {
  margin: 1rem;
}
.m2 {
  margin: 2rem;
}
.m3 {
  margin: 3rem;
}
.m4 {
  margin: 4rem;
}
.m5 {
  margin: 5rem;
}

.mt0 {
  margin-top: 0;
}
.mt1 {
  margin-top: 1rem;
}
.mt2 {
  margin-top: 2rem;
}
.mt3 {
  margin-top: 3rem;
}
.mt4 {
  margin-top: 4rem;
}
.mt5 {
  margin-top: 5rem;
}
.mt6 {
  margin-top: 6rem;
}

.mb0 {
  margin-bottom: 0;
}
.mb1 {
  margin-bottom: 1rem;
}
.mb2 {
  margin-bottom: 2rem;
}
.mb3 {
  margin-bottom: 3rem;
}
.mb4 {
  margin-bottom: 4rem;
}
.mb5 {
  margin-bottom: 5rem;
}

.ml0 {
  margin-left: 0;
}
.ml1 {
  margin-left: 1rem;
}
.ml2 {
  margin-left: 2rem;
}
.ml3 {
  margin-left: 3rem;
}
.ml4 {
  margin-left: 4rem;
}
.ml5 {
  margin-left: 5rem;
}

.mr0 {
  margin-right: 0;
}
.mr1 {
  margin-right: 1rem;
}
.mr2 {
  margin-right: 2rem;
}
.mr3 {
  margin-right: 3rem;
}
.mr4 {
  margin-right: 4rem;
}
.mr5 {
  margin-right: 5rem;
}

.p0 {
  padding: 0 !important;
}
.p1 {
  padding: 1rem !important;
}
.p2 {
  padding: 2rem !important;
}
.p3 {
  padding: 3rem !important;
}
.p4 {
  padding: 4rem !important;
}
.p5 {
  padding: 5rem !important;
}

.pl0 {
  padding-left: 0 !important;
}
.pl1 {
  padding-left: 1rem !important;
}
.pl2 {
  padding-left: 2rem !important;
}
.pl3 {
  padding-left: 3rem !important;
}
.pl4 {
  padding-left: 4rem !important;
}
.pl5 {
  padding-left: 5rem !important;
}

.pr0 {
  padding-right: 0 !important;
}
.pr1 {
  padding-right: 1rem !important;
}
.pr2 {
  padding-right: 2rem !important;
}
.pr3 {
  padding-right: 3rem !important;
}
.pr4 {
  padding-right: 4rem !important;
}
.pr5 {
  padding-right: 5rem !important;
}

.pt0 {
  padding-top: 0 !important;
}
.pt1 {
  padding-top: 1rem !important;
}
.pt2 {
  padding-top: 2rem !important;
}
.pt3 {
  padding-top: 3rem !important;
}
.pt4 {
  padding-top: 4rem !important;
}
.pt5 {
  padding-top: 5rem !important;
}

.pb0 {
  padding-bottom: 0 !important;
}
.pb1 {
  padding-bottom: 1rem !important;
}
.pb2 {
  padding-bottom: 2rem !important;
}
.pb3 {
  padding-bottom: 3rem !important;
}
.pb4 {
  padding-bottom: 4rem !important;
}
.pb5 {
  padding-bottom: 5rem !important;
}
